#pragma once

#include <string>
#include <vector>
#include <cstdint>
#include <memory>

namespace stela {

class Command {
public:
    Command(std::string name, std::vector<uint64_t> arguments)
        : m_name(std::move(name))
        , arguments(std::move(arguments))
    {}

    Command(std::string name)
        : m_name(std::move(name))
    {}

    Command() = default;

    std::string to_string() const;

    std::string name() const
    {
        return this->m_name;
    }
private:
    std::string m_name;
    std::vector<uint64_t> arguments;
};

}
